### Namespace

# GdkX11 – 4.0

The GTK toolkit

Version | 4.14.4
Authors | GTK Development Team
License | LGPL-2.1-or-later
Website | https://www.gtk.org
Source | https://gitlab.gnome.org/GNOME/gtk/

#### Build

C headers | `gdk/x11/gdkx.h`
pkg-config files | `gtk4-x11`

#### Dependencies

#### Additional documentation

- Classes Hierarchy

#### Classes

X11AppLaunchContext |
X11DeviceManagerXI2 |
X11DeviceXI2 |
X11Display |
X11Drag |
X11GLContext |
X11Monitor |
X11Screen |
X11Surface |

#### Enumerations

X11DeviceType |

#### Functions

x11_device_get_id | Returns the device ID as seen by XInput2.
x11_device_manager_lookup | Returns the `GdkDevice` that wraps the given device ID.
x11_free_compound_text | Frees the data returned from gdk_x11_display_string_to_compound_text().
x11_free_text_list | Frees the array of strings created by gdk_x11_display_text_property_to_text_list().
x11_get_server_time | Routine to get the current X server time stamp.
x11_get_xatom_by_name_for_display | Returns the X atom for a `GdkDisplay` corresponding to `atom_name`. This function caches the result, so if called repeatedly it is much faster than XInternAtom(), which is a round trip to the server each time.
x11_get_xatom_name_for_display | Returns the name of an X atom for its display. This function is meant mainly for debugging, so for convenience, unlike XAtomName() and the result doesn’t need to be freed.
x11_lookup_xdisplay | Find the `GdkDisplay` corresponding to `xdisplay`, if any exists.
x11_set_sm_client_id | Sets the `SM_CLIENT_ID` property on the application’s leader window so that the window manager can save the application’s state using the X11R6 ICCCM session management protocol.

#### Function Macros

DISPLAY_XDISPLAY | Returns the display of a `GdkDisplay`.
POINTER_TO_XID | Converts a `gpointer` back to an XID that was previously converted using GDK_XID_TO_POINTER().
SURFACE_XDISPLAY | Returns the display of a `GdkSurface`.
SURFACE_XID | Returns the X window belonging to a `GdkSurface`.
X11_DEVICE_MANAGER_XI2 |
X11_DEVICE_MANAGER_XI2_CLASS |
X11_DEVICE_XI2 |
X11_DEVICE_XI2_CLASS |
XID_TO_POINTER | Converts an XID into a `gpointer`. This is useful with data structures that use pointer arguments such as `GHashTable`. Use GDK_POINTER_TO_XID() to convert the argument back to an XID.